---
lang: en
title: 'API docs: rest.streambodyparser'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.streambodyparser.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [StreamBodyParser](./rest.streambodyparser.md)

## StreamBodyParser class

A special body parser to retain request stream as is. It will be used by explicitly setting `x-parser` to `'stream'` in the request body spec.

**Signature:**

```typescript
export declare class StreamBodyParser implements BodyParser 
```
**Implements:** [BodyParser](./rest.bodyparser.md)

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name](./rest.streambodyparser.name.md)


</td><td>


</td><td>

symbol


</td><td>


</td></tr>
</tbody></table>

## Methods

<table><thead><tr><th>

Method


</th><th>

Modifiers


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[parse(request)](./rest.streambodyparser.parse.md)


</td><td>


</td><td>


</td></tr>
<tr><td>

[supports(mediaType)](./rest.streambodyparser.supports.md)


</td><td>


</td><td>


</td></tr>
</tbody></table>


